init offset = -1

style default:
    properties gui.text_properties()
    language gui.language

style input:
    properties gui.text_properties("input", accent=True)
    adjust_spacing False

style hyperlink_text:
    properties gui.text_properties("hyperlink", accent=True)
    hover_underline True

style gui_text:
    properties gui.text_properties("interface")


style button:
    properties gui.button_properties("button")

style button_text is gui_text:
    properties gui.text_properties("button")
    yalign 0.5


style label_text is gui_text:
    properties gui.text_properties("label", accent=True)

style prompt_text is gui_text:
    properties gui.text_properties("prompt")


style bar:
    ysize gui.bar_size
    left_bar Frame("gui/bar/left.png", gui.bar_borders, tile=gui.bar_tile)
    right_bar Frame("gui/bar/right.png", gui.bar_borders, tile=gui.bar_tile)

style vbar:
    xsize gui.bar_size
    top_bar Frame("gui/bar/top.png", gui.vbar_borders, tile=gui.bar_tile)
    bottom_bar Frame("gui/bar/bottom.png", gui.vbar_borders, tile=gui.bar_tile)

style scrollbar:
    ysize gui.scrollbar_size
    base_bar Frame("gui/scrollbar/horizontal_[prefix_]bar.png", gui.scrollbar_borders, tile=gui.scrollbar_tile)
    thumb Frame("gui/scrollbar/horizontal_[prefix_]thumb.png", gui.scrollbar_borders, tile=gui.scrollbar_tile)

style vscrollbar:
    xsize gui.scrollbar_size
    base_bar Frame("gui/scrollbar/vertical_[prefix_]bar.png", gui.vscrollbar_borders, tile=gui.scrollbar_tile)
    thumb Frame("gui/scrollbar/vertical_[prefix_]thumb.png", gui.vscrollbar_borders, tile=gui.scrollbar_tile)

style slider:
    ysize gui.slider_size
    base_bar Frame("gui/slider/horizontal_[prefix_]bar.png", gui.slider_borders, tile=gui.slider_tile)
    thumb "gui/slider/horizontal_[prefix_]thumb.png"

style vslider:
    xsize gui.slider_size
    base_bar Frame("gui/slider/vertical_[prefix_]bar.png", gui.vslider_borders, tile=gui.slider_tile)
    thumb "gui/slider/vertical_[prefix_]thumb.png"


style frame:
    padding gui.frame_borders.padding
    background Frame("gui/frame.png", gui.frame_borders, tile=gui.frame_tile)

screen say(who, what):
    style_prefix "say"

    window:
        id "window"

        if who is not None:

            window:
                id "namebox"
                style "namebox"
                text who id "who"

        text what id "what"


    if not renpy.variant("small"):
        add SideImage() xalign 0.0 yalign 1.0


init python:
    config.character_id_prefixes.append('namebox')

style window is default
style say_label is default
style say_dialogue is default
style say_thought is say_dialogue

style namebox is default
style namebox_label is say_label


style window:
    xalign 0.5
    xfill True
    yalign gui.textbox_yalign
    ysize gui.textbox_height

    background Image("gui/textbox.png", xalign=0.5, yalign=1.0)

style namebox:
    xpos gui.name_xpos
    xanchor gui.name_xalign
    xsize gui.namebox_width
    ypos gui.name_ypos
    ysize gui.namebox_height

    background Frame("gui/namebox.png", gui.namebox_borders, tile=gui.namebox_tile, xalign=gui.name_xalign)
    padding gui.namebox_borders.padding

style say_label:
    properties gui.text_properties("name", accent=True)
    xalign gui.name_xalign
    yalign 0.5

style say_dialogue:
    properties gui.text_properties("dialogue")

    xpos gui.dialogue_xpos
    xsize gui.dialogue_width
    ypos gui.dialogue_ypos


screen input(prompt):
    style_prefix "input"

    window:

        has vbox:
            xalign gui.dialogue_text_xalign
            xpos gui.dialogue_xpos
            xsize gui.dialogue_width
            ypos gui.dialogue_ypos

        text prompt style "input_prompt"
        input id "input"

style input_prompt is default

style input_prompt:
    xalign gui.dialogue_text_xalign
    properties gui.text_properties("input_prompt")

style input:
    xalign gui.dialogue_text_xalign
    xmaximum gui.dialogue_width


screen choice:
    style_prefix "choice"


    vbox:
        xalign 0.5
        xoffset 710
        yalign 0.65
        style "menu"
        spacing 10

        for caption, action, chosen in items:
            if action:
                if " (disabled)" in caption:
                    button:
                        style "choice_button_disabled"
                        text caption.replace(" (disabled)", "") style "choice_button_disabled"
                else:
                    button:
                        action action
                        style "choice_button_active"
                        text caption style "choice_button_active"
            else:
                text caption style "choice_button_active"

style choice_button_disabled is button_text:
    font "gui/fonts/Abel-Regular.ttf"
    xpadding 15
    ypadding 10
    size 40
    color "#767676"
    hover_color "#767676"
    outlines [ (0, "#aaaaaa") ]

style choice_button_disabled is button:
    background Frame("gui/button/choice_idle_background.png",0,0,0,0)
    hover_background Frame("gui/button/choice_idle_background.png",0,0,0,0)
    xminimum 1000
    xmaximum 1000
    #yminimum 55
    #ymaximum 55

style choice_button_active is button_text:
    font "gui/fonts/Abel-Regular.ttf"
    xpadding 15
    ypadding 10
    size 40
    color "#ffffff"
    hover_color "#ffffff"

style choice_button_active is button:
    background Frame("gui/button/choice_idle_background.png",0,0,0,0)
    hover_background Frame("gui/button/choice_hover_background.png",0,0,0,0)
    xminimum 1000
    xmaximum 1000
    #yminimum 55
    #ymaximum 55



style choice_vbox is vbox
style choice_button is button
style choice_button_text is button_text

style choice_vbox:
    xalign 0.5
    ypos 700
    yanchor 0.5

    spacing gui.choice_spacing

style choice_button is default:
    properties gui.button_properties("choice_button")

style choice_button_text is default:
    properties gui.button_text_properties("choice_button")

screen quick_menu():

    zorder 500

    if quick_menu:

        if _in_replay:
            imagebutton:
                xoffset 50
                idle "gui/phone_notebook/popup_end_replay.png"
                action EndReplay(confirm=False)
        hbox:
            style_prefix "quick"

            xalign 0.5
            yalign 1.0

            textbutton _("Back") action Rollback()
            textbutton _("Skip") action Skip() alternate Skip(fast=True, confirm=True)
            textbutton _("Auto") action Preference("auto-forward", "toggle")
            textbutton _("Save") action ShowMenu('save')
            textbutton _("Q.Save") action QuickSave()
            textbutton _("Q.Load") action QuickLoad()
            textbutton _("Prefs") action ShowMenu('preferences')

        hbox:
            style_prefix "quick"

            xalign 0.95
            yalign 1.0

            textbutton _("What song is playing?") action Show("showMusic")


init python:
    config.overlay_screens.append("quick_menu")

default quick_menu = True

style quick_button is default
style quick_button_text is button_text

style quick_button:
    properties gui.button_properties("quick_button")

style quick_button_text:
    properties gui.button_text_properties("quick_button")


screen navigation():

    modal True
    zorder 250
    style_prefix "navigation"
    imagemap:
        ground "gui/main/game_menu.png"
        idle "gui/main/game_menu.png"
        hover "gui/main/game_menu_hover.png"
        hotspot (286, 901, 91, 89) action Show("main_menu"), With(Dissolve(0.2))
        hotspot (434, 871, 168, 89) action Show("save"), With(Dissolve(0.2))
        hotspot (702, 863, 169, 85) action Show("load"), With(Dissolve(0.2))
        hotspot (953, 855, 306, 85) action Show("preferences"), With(Dissolve(0.2))
        hotspot (1346, 846, 146, 89) action Show("navigation"), Quit(confirm=True)

screen main_menu():

    modal True
    style_prefix "main_menu"

    imagemap:
        ground 'gui/main/main_menu.png'
        hover 'gui/main/main_menu_hover.png'
        selected_idle 'gui/main/main_menu_hover.png'
        hotspot (406, 950, 210, 90) action Start(), With(Dissolve(0.2))
        hotspot (698, 950, 179, 87) action Show('load'), With(Dissolve(0.2))
        hotspot (950, 949, 316, 86) action Show('preferences'), With(Dissolve(0.2))
        hotspot (1343, 947, 159, 89) action Quit(confirm=True)
        vbox:
            style_prefix "navigation"
            xpos 50
            ypos 35
            imagebutton auto "gui/button/patreon_%s.png" action OpenURL("https://www.patreon.com/dreamnow")
        vbox:
            style_prefix "navigation"
            xpos 50
            ypos 95
            imagebutton auto "gui/button/discord_%s.png" action OpenURL("https://www.discord.com/invite/ppMFueqyBr")
        vbox:
            xpos 1725
            ypos 103
            imagebutton auto "gui/button/credits_%s.jpg" action Show("credits"), With(Dissolve(0.2))
        vbox:
            xpos 1720
            ypos 53
            imagebutton auto "gui/button/replays_%s.png" action Show("memories"), With(Dissolve(0.2))
        vbox:
            xpos 1600
            ypos 1000
            text "v[config.version]":
                style "current_version_text"

        text "all-routes-opened":
             color "#78f542"
             size 25
             bold True
             xalign 0.01
             yalign 0.90
        text "see-all-scenes":
             color "#78f542"
             size 25
             bold True
             xalign 0.025
             yalign 0.93
        text "Mod":
             color "#78f542"
             size 25
             bold True
             xalign 0.0565
             yalign 0.96
        text "MurrayMods":
             color "#fa0a32"
             size 30
             bold True
             xalign 0.021
             yalign 0.99










style main_menu_text:
    properties gui.text_properties("main_menu", accent=True)

style main_menu_title:
    properties gui.text_properties("title")

style main_menu_version:
    properties gui.text_properties("version")


define gui.about = ""


style about_label is gui_label
style about_label_text is gui_label_text
style about_text is my_text

style about_label_text:
    size gui.label_text_size


screen save():

    modal True

    imagemap:
        ground 'gui/main/save.png'
        idle 'gui/main/save.png'
        hover 'gui/main/save_hover.png'
        selected_idle 'gui/main/save_hover.png'
        selected_hover 'gui/main/save_hover.png'


        hotspot (314, 190, 425, 238) clicked FileSave(1):
            use load_save_slot(number=1)
        hotspot (750, 190, 425, 238) clicked FileSave(2):
            use load_save_slot(number=2)
        hotspot (1186, 191, 424, 237) clicked FileSave(3):
            use load_save_slot(number=3)
        hotspot (312, 482, 427, 239) clicked FileSave(4):
            use load_save_slot(number=4)
        hotspot (751, 484, 423, 235) clicked FileSave(5):
            use load_save_slot(number=5)
        hotspot (1186, 484, 422, 234) clicked FileSave(6):
            use load_save_slot(number=6)

        hotspot (524, 735, 56, 65) clicked FilePage(1)
        hotspot (625, 739, 49, 60) clicked FilePage(2)
        hotspot (723, 742, 46, 54) clicked FilePage(3)
        hotspot (824, 740, 50, 59) clicked FilePage(4)
        hotspot (919, 737, 56, 61) clicked FilePage(5)
        hotspot (1027, 737, 47, 63) clicked FilePage(6)
        hotspot (1124, 739, 49, 57) clicked FilePage(7)
        hotspot (1227, 739, 52, 57) clicked FilePage(8)
        hotspot (1333, 741, 47, 54) clicked FilePage(9)
        hotspot (1434, 738, 70, 58) clicked FilePage(10)
        hotspot (1554, 739, 60, 59) clicked FilePage(11)
        hotspot (1667, 738, 68, 61) clicked FilePage(12)

        hotspot (181, 744, 151, 54) clicked FilePage("auto")
        hotspot (359, 740, 144, 58) clicked FilePage("quick")

        hotspot (810, 814, 131, 90) clicked FilePagePrevious()
        hotspot (988, 815, 122, 87) clicked FilePageNext()

        hotspot (106, 958, 189, 70) action Return(), With(Dissolve(0.2))
        hotspot (1661, 949, 113, 92) action MainMenu(), With(Dissolve(0.2))
        hotspot (449, 946, 165, 93) action Hide("save"), Show("save"), With(Dissolve(0.2))
        hotspot (700, 948, 178, 88) action Hide("save"), Show("load"), With(Dissolve(0.2))
        hotspot (949, 947, 321, 88) action Hide("save"), Show("preferences"), With(Dissolve(0.2))
        hotspot (1342, 947, 165, 91) action Hide("save"), Show("navigation"), Quit(confirm=True)

    hbox yalign 0.85 xalign 0.1:
        text "Save name: "
        input:
            value VariableInputValue('save_name') length 24
    vbox:
        style_prefix "navigation"
        xpos 50
        ypos 35
        imagebutton auto "gui/button/patreon_%s.png" action OpenURL("https://www.patreon.com/dreamnow")
    vbox:
        style_prefix "navigation"
        xpos 50
        ypos 95
        imagebutton auto "gui/button/discord_%s.png" action OpenURL("https://www.discord.com/invite/XcER85znMt")


screen load_save_slot:
    $ file_text = FileSaveName(number)

    add FileScreenshot(number) xalign 0.5 yalign 0.5

    if file_text:
        text file_text xpos 0.03 ypos 0.67 size 30

    text FileTime(number, format=_("{#file_time} %d.%m.%y, %H:%M")) size 30 xpos 0.03 ypos 0.8

    imagebutton auto "gui/button/delete_%s.png" action FileDelete(number) xalign 1.0 yalign 1.0


screen load():
    modal True

    if main_menu:
        imagemap:
            ground 'gui/main/load.png'
            idle 'gui/main/load.png'
            hover 'gui/main/load_hover.png'
            selected_idle 'gui/main/load_hover.png'
            selected_hover 'gui/main/load_hover.png'

            hotspot (314, 190, 425, 238) clicked FileLoad(1):
                use load_save_slot(number=1)
            hotspot (750, 190, 425, 238) clicked FileLoad(2):
                use load_save_slot(number=2)
            hotspot (1186, 191, 424, 237) clicked FileLoad(3):
                use load_save_slot(number=3)
            hotspot (312, 482, 427, 239) clicked FileLoad(4):
                use load_save_slot(number=4)
            hotspot (751, 484, 423, 235) clicked FileLoad(5):
                use load_save_slot(number=5)
            hotspot (1186, 484, 422, 234) clicked FileLoad(6):
                use load_save_slot(number=6)

            hotspot (524, 735, 56, 65) clicked FilePage(1)
            hotspot (625, 739, 49, 60) clicked FilePage(2)
            hotspot (723, 742, 46, 54) clicked FilePage(3)
            hotspot (824, 740, 50, 59) clicked FilePage(4)
            hotspot (919, 737, 56, 61) clicked FilePage(5)
            hotspot (1027, 737, 47, 63) clicked FilePage(6)
            hotspot (1124, 739, 49, 57) clicked FilePage(7)
            hotspot (1227, 739, 52, 57) clicked FilePage(8)
            hotspot (1333, 741, 47, 54) clicked FilePage(9)
            hotspot (1434, 738, 70, 58) clicked FilePage(10)
            hotspot (1554, 739, 60, 59) clicked FilePage(11)
            hotspot (1667, 738, 68, 61) clicked FilePage(12)

            hotspot (181, 744, 151, 54) clicked FilePage("auto")
            hotspot (359, 740, 144, 58) clicked FilePage("quick")

            hotspot (810, 814, 131, 90) clicked FilePagePrevious()
            hotspot (988, 815, 122, 87) clicked FilePageNext()

            hotspot (407, 950, 205, 88) action Start()
            hotspot (704, 951, 169, 86) action Hide("load"), Show("main_menu"), With(Dissolve(0.2))
            hotspot (952, 949, 313, 84) action Hide("load"), Show("preferences"), With(Dissolve(0.2))
            hotspot (1346, 947, 158, 88) action Hide("load"), Quit(confirm=True)

        vbox:
            style_prefix "navigation"
            xpos 50
            ypos 35
            imagebutton auto "gui/button/patreon_%s.png" action OpenURL("https://www.patreon.com/dreamnow")
        vbox:
            style_prefix "navigation"
            xpos 50
            ypos 95
            imagebutton auto "gui/button/discord_%s.png" action OpenURL("https://www.discord.com/invite/XcER85znMt")
        vbox:
            xpos 1720
            ypos 53
            imagebutton auto "gui/button/replays_%s.png" action Show("memories"), With(Dissolve(0.2))
        vbox:
            xpos 1725
            ypos 103
            imagebutton auto "gui/button/credits_%s.jpg" action Show("credits"), With(Dissolve(0.2))
    else:
        imagemap:
            ground 'gui/main/load_game.png'
            idle 'gui/main/load_game.png'
            hover 'gui/main/load_game_hover.png'
            selected_idle 'gui/main/load_game_hover.png'
            selected_hover 'gui/main/load_game_hover.png'

            hotspot (314, 190, 425, 238) clicked FileLoad(1):
                use load_save_slot(number=1)
            hotspot (750, 190, 425, 238) clicked FileLoad(2):
                use load_save_slot(number=2)
            hotspot (1186, 191, 424, 237) clicked FileLoad(3):
                use load_save_slot(number=3)
            hotspot (312, 482, 427, 239) clicked FileLoad(4):
                use load_save_slot(number=4)
            hotspot (751, 484, 423, 235) clicked FileLoad(5):
                use load_save_slot(number=5)
            hotspot (1186, 484, 422, 234) clicked FileLoad(6):
                use load_save_slot(number=6)

            hotspot (524, 735, 56, 65) clicked FilePage(1)
            hotspot (625, 739, 49, 60) clicked FilePage(2)
            hotspot (723, 742, 46, 54) clicked FilePage(3)
            hotspot (824, 740, 50, 59) clicked FilePage(4)
            hotspot (919, 737, 56, 61) clicked FilePage(5)
            hotspot (1027, 737, 47, 63) clicked FilePage(6)
            hotspot (1124, 739, 49, 57) clicked FilePage(7)
            hotspot (1227, 739, 52, 57) clicked FilePage(8)
            hotspot (1333, 741, 47, 54) clicked FilePage(9)
            hotspot (1434, 738, 70, 58) clicked FilePage(10)
            hotspot (1554, 739, 60, 59) clicked FilePage(11)
            hotspot (1667, 738, 68, 61) clicked FilePage(12)

            hotspot (181, 744, 151, 54) clicked FilePage("auto")
            hotspot (359, 740, 144, 58) clicked FilePage("quick")

            hotspot (810, 814, 131, 90) clicked FilePagePrevious()
            hotspot (988, 815, 122, 87) clicked FilePageNext()

            hotspot (106, 958, 189, 70) action Return(), With(Dissolve(0.2))
            hotspot (1661, 949, 113, 92) action MainMenu(), With(Dissolve(0.2))
            hotspot (449, 946, 165, 93) action Hide("load"),Show("save"), With(Dissolve(0.2))
            hotspot (700, 948, 178, 88) action Hide("load"), Show("load"), With(Dissolve(0.2))
            hotspot (949, 947, 321, 88) action Hide("load"), Show("preferences"), With(Dissolve(0.2))
            hotspot (1342, 947, 165, 91) action Hide("load"),Show("navigation"), Quit(confirm=True)
        vbox:
            style_prefix "navigation"
            xpos 50
            ypos 35
            imagebutton auto "gui/button/patreon_%s.png" action OpenURL("https://www.patreon.com/dreamnow")
        vbox:
            style_prefix "navigation"
            xpos 50
            ypos 95
            imagebutton auto "gui/button/discord_%s.png" action OpenURL("https://www.discord.com/invite/XcER85znMt")

style page_label is gui_label
style page_label_text is gui_label_text
style page_button is gui_button
style page_button_text is gui_button_text

style slot_button is gui_button
style slot_button_text is gui_button_text
style slot_time_text is slot_button_text
style slot_name_text is slot_button_text

style page_label:
    xpadding 75
    ypadding 5

style page_label_text:
    text_align 0.5
    layout "subtitle"
    hover_color gui.hover_color

style page_button:
    properties gui.button_properties("page_button")

style page_button_text:
    properties gui.button_text_properties("page_button")

style slot_button:
    properties gui.button_properties("slot_button")

style slot_button_text:
    properties gui.button_text_properties("slot_button")



screen preferences():

    modal True

    if main_menu:
        imagemap:
            ground 'gui/main/set_main.png'
            idle 'gui/main/set_main.png'
            hover 'gui/main/set_main_hover.png'
            selected_idle 'gui/main/set_main_idle.png'
            selected_hover 'gui/main/set_main_hover.png'
            alpha False

            hotspot (572, 352, 126, 31) action Preference('display', 'window')
            hotspot (561, 305, 150, 40) action Preference('display', 'fullscreen')
            bar pos (830, 330) value Preference("music volume") style "pref_slider"
            bar pos (1208, 330) value Preference("sound volume") style "pref_slider"
            hotspot (540, 522, 180, 27) action Preference("skip", "toggle")
            hotspot (525, 557, 205, 37) action Preference("after choices", "toggle")
            hotspot (547, 597, 166, 36) action InvertSelected(Preference("transitions", "toggle"))
            bar pos (830, 540) value Preference("text speed") style "pref_slider"
            bar pos (1208, 540) value Preference("auto-forward time") style "pref_slider"

            hotspot (407, 950, 205, 88) action Start()
            hotspot (704, 951, 169, 86) action Hide("preferences"), Show("load"), With(Dissolve(0.2))
            hotspot (952, 949, 313, 84) action Hide("preferences"), Show("main_menu"), With(Dissolve(0.2))
            hotspot (1346, 947, 158, 88) action Hide("preferences"), Quit(confirm=True)
        vbox:
            style_prefix "navigation"
            xpos 50
            ypos 35
            imagebutton auto "gui/button/patreon_%s.png" action OpenURL("https://www.patreon.com/dreamnow")
        vbox:
            style_prefix "navigation"
            xpos 50
            ypos 95
            imagebutton auto "gui/button/discord_%s.png" action OpenURL("https://www.discord.com/invite/XcER85znMt")
        vbox:
            xpos 1725
            ypos 103
            imagebutton auto "gui/button/credits_%s.jpg" action Show("credits"), With(Dissolve(0.2))
        vbox:
            xpos 1720
            ypos 53
            imagebutton auto "gui/button/replays_%s.png" action Show("memories"), With(Dissolve(0.2))

    else:
        imagemap:
            ground 'gui/main/set_game.png'
            idle 'gui/main/set_game.png'
            hover 'gui/main/set_game_hover.png'
            selected_idle 'gui/main/set_game_idle.png'
            selected_hover 'gui/main/set_game_hover.png'
            alpha False

            hotspot (572, 352, 126, 31) action Preference('display', 'window')
            hotspot (561, 305, 150, 40) action Preference('display', 'fullscreen')
            bar pos (830, 330) value Preference("music volume") style "pref_slider"
            bar pos (1208, 330) value Preference("sound volume") style "pref_slider"
            hotspot (540, 522, 180, 27) action Preference("skip", "toggle")
            hotspot (525, 557, 205, 37) action Preference("after choices", "toggle")
            hotspot (547, 597, 166, 36) action InvertSelected(Preference("transitions", "toggle"))
            bar pos (830, 540) value Preference("text speed") style "pref_slider"
            bar pos (1208, 540) value Preference("auto-forward time") style "pref_slider"
            hotspot (453, 385, 59, 34) action Language("russian")
            hotspot (458, 428, 58, 31) action Language(None)

            hotspot (106, 958, 189, 70) action Return(), With(Dissolve(0.2))
            hotspot (1661, 949, 113, 92) action MainMenu(), With(Dissolve(0.2))
            hotspot (449, 946, 165, 93) action Hide("preferences"),Show("save"), With(Dissolve(0.2))
            hotspot (700, 948, 178, 88) action Hide("preferences"), Show("load"), With(Dissolve(0.2))
            hotspot (949, 947, 321, 88) action Hide("preferences"), Show("preferences"), With(Dissolve(0.2))
            hotspot (1342, 947, 165, 91) action Hide("preferences"),Show("navigation"), Quit(confirm=True)
        vbox:
            style_prefix "navigation"
            xpos 50
            ypos 35
            imagebutton auto "gui/button/patreon_%s.png" action OpenURL("https://www.patreon.com/dreamnow")
        vbox:
            style_prefix "navigation"
            xpos 50
            ypos 95
            imagebutton auto "gui/button/discord_%s.png" action OpenURL("https://www.discord.com/invite/XcER85znMt")

init -1 python:
    style.pref_slider.left_bar = "gui/bar/full.png"
    style.pref_slider.right_bar = "gui/bar/empty.png"

    style.pref_slider.xmaximum = 300
    style.pref_slider.ymaximum = 38

    style.pref_slider.thumb = "gui/bar/thumb.png"
    style.pref_slider.thumb_offset = 22
    style.pref_slider.thumb_shadow = None



screen confirm(message, yes_action, no_action):

    modal True

    zorder 300

    add "gui/main/confirm.png"

    if message == layout.ARE_YOU_SURE:
        imagemap:
            ground 'gui/main/sure.png'
            hover 'gui/main/sure_hover.png'
            hotspot (815, 553, 85, 55) action yes_action
            hotspot (1030, 551, 76, 57) action no_action
            alpha False
    elif message == layout.DELETE_SAVE:
        imagemap:
            ground 'gui/main/sure.png'
            hover 'gui/main/sure_hover.png'
            hotspot (815, 553, 85, 55) action yes_action
            hotspot (1030, 551, 76, 57) action no_action
            alpha False
    elif message == layout.OVERWRITE_SAVE:
        imagemap:
            ground 'gui/main/sure_save.png'
            hover 'gui/main/sure_save_hover.png'
            hotspot (815, 553, 85, 55) action yes_action
            hotspot (1030, 551, 76, 57) action no_action
            alpha False
    elif message == layout.LOADING:
        imagemap:
            ground 'gui/main/load_conf.png'
            hover 'gui/main/load_conf_hover.png'
            hotspot (815, 553, 85, 55) action yes_action
            hotspot (1030, 551, 76, 57) action no_action
            alpha False
    elif message == layout.QUIT:
        imagemap:
            ground 'gui/main/sure.png'
            hover 'gui/main/sure_hover.png'
            hotspot (815, 553, 85, 55) action yes_action
            hotspot (1030, 551, 76, 57) action no_action
            alpha False
    elif message == layout.MAIN_MENU:
        imagemap:
            ground 'gui/main/sure.png'
            hover 'gui/main/sure_hover.png'
            hotspot (815, 553, 85, 55) action yes_action
            hotspot (1030, 551, 76, 57) action Hide("confirm"), Show("navigation")
            alpha False


screen skip_indicator():

    zorder 100
    style_prefix "skip"

    frame:

        has hbox:
            spacing 9

        text _("Skipping"):
            ypos 3

        text "▸" at delayed_blink(0.0, 1.0) style "skip_triangle"
        text "▸" at delayed_blink(0.2, 1.0) style "skip_triangle"
        text "▸" at delayed_blink(0.4, 1.0) style "skip_triangle"


transform delayed_blink(delay, cycle):
    alpha .5

    pause delay

    block:
        linear .2 alpha 1.0
        pause .2
        linear .2 alpha 0.5
        pause (cycle - .4)
        repeat


style skip_frame is empty
style skip_text is gui_text
style skip_triangle is skip_text

style skip_frame:
    ypos gui.skip_ypos
    background Frame("gui/skip.png", gui.skip_frame_borders, tile=gui.frame_tile)
    padding gui.skip_frame_borders.padding

style skip_text:
    size gui.notify_text_size

style skip_triangle:

    font "DejaVuSans.ttf"































style notify_text:
    properties gui.text_properties("notify")



screen nvl(dialogue, items=None):

    window:
        style "nvl_window"

        has vbox:
            spacing gui.nvl_spacing

        if gui.nvl_height:

            vpgrid:
                cols 1
                yinitial 1.0

                use nvl_dialogue(dialogue)

        else:

            use nvl_dialogue(dialogue)

        for i in items:

            textbutton i.caption:
                action i.action
                style "nvl_button"

    add SideImage() xalign 0.0 yalign 1.0


screen nvl_dialogue(dialogue):

    for d in dialogue:

        window:
            id d.window_id

            has fixed:
                yfit gui.nvl_height is None

            if d.who is not None:

                text d.who:
                    id d.who_id

            text d.what:
                id d.what_id



define config.nvl_list_length = gui.nvl_list_length

style nvl_window is default
style nvl_entry is default

style nvl_label is say_label
style nvl_dialogue is say_dialogue

style nvl_button is button
style nvl_button_text is button_text

style nvl_window:
    xfill True
    yfill True

    background "gui/nvl.png"
    padding gui.nvl_borders.padding

style nvl_entry:
    xfill True
    ysize gui.nvl_height

style nvl_label:
    xpos gui.nvl_name_xpos
    xanchor gui.nvl_name_xalign
    ypos gui.nvl_name_ypos
    yanchor 0.0
    xsize gui.nvl_name_width
    min_width gui.nvl_name_width
    text_align gui.nvl_name_xalign

style nvl_dialogue:
    xpos gui.nvl_text_xpos
    xanchor gui.nvl_text_xalign
    ypos gui.nvl_text_ypos
    xsize gui.nvl_text_width
    min_width gui.nvl_text_width
    text_align gui.nvl_text_xalign
    layout ("subtitle" if gui.nvl_text_xalign else "tex")

style nvl_thought:
    xpos gui.nvl_thought_xpos
    xanchor gui.nvl_thought_xalign
    ypos gui.nvl_thought_ypos
    xsize gui.nvl_thought_width
    min_width gui.nvl_thought_width
    text_align gui.nvl_thought_xalign
    layout ("subtitle" if gui.nvl_text_xalign else "tex")

style nvl_button:
    properties gui.button_properties("nvl_button")
    xpos gui.nvl_button_xpos
    xanchor gui.nvl_button_xalign

style nvl_button_text:
    properties gui.button_text_properties("nvl_button")

transform -1 TopSlide:
    xpos 0
    ypos -2160
    ease 12 xpos 0 ypos 0
    pause 2.0
    ease 12 xpos 0 ypos -2160
    repeat

transform -1 TopSlide2:
    xpos 0
    ypos -1060
    ease 8 xpos 0 ypos 0
    pause 1.0
    ease 8 xpos 0 ypos -1060
    repeat



screen notify1(message):
    zorder 500
    style_prefix "notify1"
    frame at notify1_appear:
        text "[message!t]"
    timer 3.5 action Hide('notify1')

screen notify2(message):
    zorder 500
    style_prefix "notify1"
    frame at notify2_appear:
        text "[message!t]"
    timer 3.5 action Hide('notify2')

screen notify3(message):
    zorder 500
    style_prefix "notify1"
    frame at notify3_appear:
        text "[message!t]"
    timer 3.5 action Hide('notify3')

transform notify1_appear:
    xpos 40
    ypos 0
    on show:
        ypos -50
        easein 0.5 ypos 0
    on hide:
        easeout 0.5 ypos -50

transform notify2_appear:
    xpos 440
    ypos 0
    on show:
        ypos -50
        easein 0.5 ypos 0
    on hide:
        easeout 0.5 ypos -50

transform notify3_appear:
    xpos 840
    ypos 0
    on show:
        ypos -50
        easein 0.5 ypos 0
    on hide:
        easeout 0.5 ypos -50

transform musicname_appear:
    xalign 0.5
    ypos 0
    on show:
        ypos -60
        easein 0.5 ypos 0
    on hide:
        easeout 0.5 ypos -60


style notify1_frame:

    background Frame("gui/notify.png", 30, 0, 30, 30)
    xpadding 25
    ypadding 3

style notify1_text is text:
    color "#ffffff"
    font "gui/fonts/Abel-Regular.ttf"
    size 35
    outlines [ (absolute (2), "#000000") ]

style musicname_frame:

    background Frame("gui/notify.png", 30, 0, 30, 30)
    xpadding 25
    ypadding 3

screen popup_about_animations():
    zorder 400
    add "gui/phone_notebook/popup_animations.png" at popup3
    timer 10.0 action [Hide("popup_about_animations")]

transform popup3:
    xalign 0.5
    ypos -50
    easein 0.5 xalign 0.5 ypos 0
    pause 3.0
    easeout 0.5 xalign 0.5 ypos -50


screen credits():
    modal True
    style_prefix "main_menu"

    imagemap:
        ground 'gui/main/main_menu.png'
        hover 'gui/main/main_menu_hover.png'
        selected_idle 'gui/main/main_menu_hover.png'
        hotspot (406, 950, 210, 90) action Start(), Hide("credits"), With(Dissolve(0.2))
        hotspot (698, 950, 179, 87) action Show('load'), Hide("credits"), With(Dissolve(0.2))
        hotspot (950, 949, 316, 86) action Show('preferences'), Hide("credits"), With(Dissolve(0.2))
        hotspot (1343, 947, 159, 89) action Quit(confirm=True)
        vbox:
            style_prefix "navigation"
            xpos 50
            ypos 35
            imagebutton auto "gui/button/patreon_%s.png" action OpenURL("https://www.patreon.com/dreamnow")
        vbox:
            style_prefix "navigation"
            xpos 50
            ypos 95
            imagebutton auto "gui/button/discord_%s.png" action OpenURL("https://www.discord.com/invite/ppMFueqyBr")
        vbox:
            xpos 1725
            ypos 103
            imagebutton auto "gui/button/credits_%s.jpg" action Show("credits"), With(Dissolve(0.2))
        vbox:
            xpos 1600
            ypos 1030
            text "v[config.version]":
                style "current_version_text"

    add "gui/main/credits.jpg" ypos 153
    imagebutton auto "gui/button/return_%s.jpg" action Hide('credits'), With(Dissolve(0.2)):
        xpos 95
        ypos 960
    vbox xpos 90 ypos 200:
        text "Proofreading":
            style "credits_big"
        text "Glooskabe (from v0.2.5 up to v1.2.5)":
            style "credits_small"
        text "TotesNotThea (up to v0.2.5)":
            style "credits_small"

    vbox xpos 460 ypos 200:
        text "Testing":
            style "credits_big"
        text "Nikki Klein (from v0.6.0)":
            style "credits_small"
        text "Glooskabe (from v0.2.5 up to v1.2.5)":
            style "credits_small"
        text "kurogi (early updates)":
            style "credits_small"
        text "stlassen (early updates)":
            style "credits_small"
        text "m0us3r (early updates)":
            style "credits_small"

    vbox xpos 850 ypos 200:
        text "Translators":
            style "credits_big"
        text "Ryu-oh (Portuguese - unofficial translation)":
            style "credits_small"

    vbox xpos 1280 ypos 200:
        text "Extra help":
            style "credits_big"
        text "MaxP (Graphic - early updates)":
            style "credits_small"
        text "DarkAssassin (Android Ports)":
            style "credits_small"

    vbox xpos 1600 ypos 200:
        text "Respected fans":
            style "credits_big"
        text "Pietro":
            style "credits_small"
        text "RogueRat":
            style "credits_small"
        text "Pipo":
            style "credits_small"
        text "Chus El Grande":
            style "credits_small"
        text "Darkfury":
            style "credits_small"

    text "{color=#8a3232}Patrons with an 'Expert Dreamer' level or higher!{/color}":
        xpos 1430
        ypos 830
        style "credits_note"
    text "{color=#8a3232}Let me know if you want to add your nickname in Respected Fans section.{/color}":
        xpos 1430
        ypos 860
        style "credits_note"
    text "*Sorry if I forgot to mention someone. I didn't do it on purpose {font=gui/fonts/emoji.ttf}😉{/font}":
        xpos 1430
        ypos 890
        style "credits_note"




style current_version_text is text:
    color "#858585"
    font "gui/fonts/JustMeAgainDownHere-Regular.ttf"
    size 30
    outlines [ (0, "#aaaaaa") ]

style credits_big is text:
    color "#525252"
    font "gui/fonts/Abel-Regular.ttf"
    size 35
    outlines [ (0, "#aaaaaa") ]

style credits_small is text:
    color "#858585"
    font "gui/fonts/Oswald-Light.ttf"
    size 27
    outlines [ (0, "#aaaaaa") ]

style credits_note is text:
    color "#858585"
    font "gui/fonts/Oswald-Light.ttf"
    size 19
    outlines [ (0, "#aaaaaa") ]

